# Configuration Templates

Configuration Templates in Zuora Deployment Manager enable you to configure your tenants in minutes by importing a templated metadata configuration file. This feature eliminates the need for long manual configuration processes that would have previously taken hours. You will be able to access a comprehensive repository of industry-specific templates. It will be easier for you to deploy and release. To use this API  for migrating metadata from a source tenant to a destination tenant,   you should authenticate using credentials of the source tenant   The user will have to provide the client id and secret key from the sou.rce tenant.   To understand the known behavior of configuration templates and APIs, see the following sections: [Product Catalog deployment known facts and system behavior](https://docs.zuora.com?resourceId=platform-product-catalog-deployment-reference-facts) [Product Catalog deployment FAQs](https://docs.zuora.com?resourceId=platform-product-catalog-deployment-faq) [Deployment Manager Known Facts and Limitations](https://docs.zuora.com?resourceId=platform-deployment-manager-scope)

 - [GET /deployment-manager/deployment_artifacts](https://developer.zuora.com/v1-api-reference/api/configuration-templates/get_downloaddeploymenttemplate.md): Download a template for migration in the Deployment manager from the source tenant to the target tenant.
 - [POST /deployment-manager/deployment_artifacts/compare](https://developer.zuora.com/v1-api-reference/api/configuration-templates/post_comparetemplate.md): To Compare the configurations from the template downloaded and used in deployment manager for migration which is available in source and target tenant.
 - [POST /deployment-manager/deployment_artifacts/deploy](https://developer.zuora.com/v1-api-reference/api/configuration-templates/post_migratetenantsettings.md): To migrate the selected configuration of a tenant in Deployment Manager migration while using template from the compare screen.
 - [GET /deployment-manager/deployment_artifacts/retrieve-settings](https://developer.zuora.com/v1-api-reference/api/configuration-templates/get_sourcecomponentdetails.md): When the advanced option is clicked, get the details/metadata of the components, such as settings, notifications, workflow, etc.
 - [GET /deployment-manager/deployment_templates](https://developer.zuora.com/v1-api-reference/api/configuration-templates/get_templates.md): Retrieves all the templates and their details which are created already.
 - [POST /deployment-manager/deployment_templates](https://developer.zuora.com/v1-api-reference/api/configuration-templates/post_deploymenttemplate.md): Creates templates based on user preference. There are 2 ways to select components. - Selecting the whole component. - Advanced Options -> which helps user to select specific components to be migrated.
 - [DELETE /deployment-manager/deployment_templates/{id}](https://developer.zuora.com/v1-api-reference/api/configuration-templates/delete_deploymenttemplate.md): Deletes a specific template by passing the ID.
 - [GET /deployment-manager/deployment_templates/{id}](https://developer.zuora.com/v1-api-reference/api/configuration-templates/get_deploymenttemplatedetail.md): Returns the detailed information of a specific template by passing its template ID.
 - [POST /deployment-manager/deployment_templates/sync](https://developer.zuora.com/v1-api-reference/api/configuration-templates/syncdeploymenttemplate.md): Synchronizes an existing deployment template with the latest changes in the source tenant.
